function [alpha1,alpha2,likes,thet]=Pi_twobytwo(rhotry,ydata);
% This Matlab function calculates matrix of data used to generate a contour plot
% for supply-demand example 
% inputs:
%    rhotry = assumed value for rho
% outputs:
% thet = 3 x 1 vector
%    (1,1) element = value of pi1 for global max
%    (2,1) element = value of pi2 for global max
%    (3,1) element = value of log likelihod for global max

delj = 0.05;
nj = 4/0.05 + 1;
alpha1 = -2:delj:2;
alpha2 = -2:delj:2;
likes = zeros(nj,nj);
thet=zeros(3,1);

icount = 1;
i = 1;
while i <= nj;
	j = 1;
	while j <= nj;
        pi1 = alpha1(i);
        pi2 = alpha2(j);
	likes(i,j) = Pi_likely(ydata,pi1,pi2,rhotry);
    j = j+1;
    end;
i = i+1;
end;
i = 2;
while i < nj;
    j = 2;
    while j < nj;
        if (likes(i,j)>likes(i,j-1))&(likes(i,j)>likes(i,j+1))...
            &(likes(i,j)>likes(i-1,j))&(likes(i,j)>likes(i+1,j));
                thet(1) = alpha1(i);
                thet(2) = alpha2(j);
                thet(3) = likes(i,j);
                icount = 2;
        end;
    j = j+1;        
    end;
i = i+1;
end;



