function [b1,b2] = b1_and_b2(deaditem);
% This MATLAB function fills in values for the b1 and b2 matrices
% for supply-demand example 
% 	  inputs:
%		deaditem = ignored (set to 1)
%	   output:
%		b1 = 3 x 3 matrix of coefficients on first lag
%           b2 = 3 x 3 matrix of coefficients on second lag
b1 = [0.8 1.6 0 ; 1.2 -0.6 0.6; 0 0 1.8];
b2 = [0 0 0; -0.8 0.4 -0.4; 0 0 -0.9];

