% This MATLAB program plots MSE's for mixture

smpl = [10 20 50 100];

load mse_by_prior.txt -ascii;
mse = mse_by_prior;

munorm = [mse(:,1) mse(:,4) mse(:,7) mse(:,10)];
pnorm = [mse(:,2) mse(:,5) mse(:,8) mse(:,11)];
hnorm = [mse(:,3) mse(:,6) mse(:,9) mse(:,12)];

subplot('Position',[0.2 0.7 0.6 0.2]);
plot(smpl,munorm(1,:),'-',smpl,pnorm(1,:),'--',smpl,hnorm(1,:),':')
axis([10,100,0,2])
legend('var = 5','var = 100','truncated')
title('MSE for \mu1')

subplot('Position',[0.2 0.4 0.6 0.2]);
plot(smpl,munorm(2,:),'-',smpl,pnorm(2,:),'--',smpl,hnorm(2,:),':')
axis([10,100,0,1])
legend('var = 5','var = 100','truncated')
title('MSE for \mu2')

subplot('Position',[0.2 0.1 0.6 0.2]);
plot(smpl,munorm(3,:),'-',smpl,pnorm(3,:),'--',smpl,hnorm(3,:),':')
axis([10,100,0,0.1])
legend('var = 5','var = 100','truncated')
title('MSE for p')